+ Post New Thread
Page 1 of 657 1 2 3 11 51 101 501 ... LastLast
Threads 1 to 25 of 16411

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 96,837
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 78,130
    18th Sep 2006 10:46 pm Go to last post
  1. Idea LISP to rotate group of Multileaders about end of leader

    Had to rotate a floorplan 180 along with all multileaders and text. I can easily select multileaders and change angle to 0 in Properties but text ends up on top of leader or in wrong position...

    Started by Edgtrimmer‎, Today 01:23 pm
    leader, multileader, rotate
    • Replies: 5
    • Views: 80
    Today 09:03 pm Go to last post
  2. Assistance updating Lisp routine for Field Insertion

    Hello, I have a lengthy lisp routine that hasn't been updated in years. It is strictly for Custom Field Insertions and I do not remember how to edit it. I created a diesel expression for what...

    Started by Billy Ray‎, 17th Jul 2018 09:21 pm
    4 Pages
    1 2 3 ... 4
    • Replies: 31
    • Views: 545
    Today 08:18 pm Go to last post
  3. LISP to open current drawing folder.

    I am trying to find a LISP that will open up the folder in which the current drawing is contained. I have found some examples that people have said work but they don't seem to work for me. ...

    Started by rich254‎, Today 02:45 pm
    • Replies: 9
    • Views: 125
    Today 08:05 pm Go to last post
  4. Unhappy Change to the correct order

    Hello everyone, everything good. First apologies for my pessimo ingles. (defun c:Test0008 (/ p1 oFile sFile tmp Separator i ;|Functions|; GetFormatFile aux:SelectFile grdx ...

    Started by JuniorNogueira‎, 18th Jul 2018 01:41 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 325
    Today 04:57 pm Go to last post
  5. can somebody help me with: non-negative: -1

    I want to make a new application and when I press the load button lsp file I give the error "error: bad argument value: non-negative: -1"

    Started by plecs‎, Today 09:07 am
    • Replies: 4
    • Views: 118
    Today 12:22 pm Go to last post
  6. Civil3D pressure pipe position

    Hello all, Is there a way to get the position of the XY of the start and end of a Civil3D Pressure Pipe? The 'Pipenetwork' method doesnt seem to work for these.. :-(

    Started by Aftertouch‎, Today 08:29 am
    • Replies: 0
    • Views: 62
    Today 08:29 am Go to last post
  7. I know this has been asked a thousand times....

    BOM Block Attributes. Does anyone have a straight to the point answer on how to change them with Excel information. I've read roughly 10,000 articles and forum posts. My pc is drowning in...

    Started by Jim Clayton‎, 16th Jul 2018 08:47 pm
    3 Pages
    1 2 3
    • Replies: 26
    • Views: 672
    Today 04:18 am Go to last post
  8. Automatic numbering in air flow order

    Dear all, I am looking for a lisp for Automatic numbering in air flow order. I have air flow diagram with branches (Scheme-3-numbering procedure.dwg) drawn by polylines where each polyline...

    Started by Jozef13‎, Yesterday 07:37 pm
    • Replies: 0
    • Views: 97
    Yesterday 07:37 pm Go to last post
  9. Converting all circles into Triangles...

    Hi, I have several drawings with thousands of individual circles (not blocks) of same radius. All of them I am supposed to change to the equilateral triangle of base & sides length = 10mm. Is...

    Started by Ashishs‎, 16th Jul 2018 02:57 pm
    autolisp, convert circles
    • Replies: 6
    • Views: 229
    Yesterday 12:24 pm Go to last post
  10. Controlling text height through lisp

    Hi. I am looking for a lisp that can control text height and link back to drawing scale...Ie; if the drawing scale (dim scale) is set to 20...the text height is changed to 40..or 60 for larger...

    Started by dangrens‎, 29th May 2015 06:43 am
    • Replies: 4
    • Views: 2,822
    Yesterday 12:09 pm Go to last post
  11. AutoCAD Lisp for change text height in model space only

    Hi..Everyone. I have a lisp file to change a text height.its working well but its changes text height in entire drawing ( including layout ( paper space )). I want to change the text height in...

    Started by gmmdinesh‎, 11th Oct 2016 06:45 pm
    • Replies: 8
    • Views: 3,207
    Yesterday 10:16 am Go to last post
  12. how to change hatch type within an XREF

    hi everyone! can someone help me with a lisp, select a hatch that is within an XREF and be able to change its type without entering the reference?

    Started by AHMED18‎, 16th Jul 2018 10:19 am
    • Replies: 9
    • Views: 290
    18th Jul 2018 02:47 pm Go to last post
  13. Dear guys . I'm finding lisp "@ break multiline just one select" thank you

    I have a question. dear. like pic. would provide like this lisp .

    Started by nest1291‎, 17th Jul 2018 10:07 am
    • Replies: 4
    • Views: 177
    18th Jul 2018 12:54 pm Go to last post
  14. xref

    Hi ALL I'd like to copy some line from xref attached file. ncopy command is not working any one can help me please. if there is new command or lisp Thanks:roll:

    Started by sanjeeve‎, 17th Jul 2018 10:54 am
    • Replies: 1
    • Views: 98
    17th Jul 2018 11:17 am Go to last post
  15. removeAEC.LSP and UNITS change problem

    after using the following lsp dwg units revert to the value from the time the dwg was created even though the -dwgunits was set to new value before. How to avoid that? if dwg was created in...

    Started by ibach‎, 17th Jul 2018 10:22 am
    • Replies: 0
    • Views: 96
    17th Jul 2018 10:22 am Go to last post
  16. Question Can anyone provide me withe code or lisp of attached 2d window type.....

    Can anyone provide me withe code or lisp of attached window type....Ive got the lisp file but it makes different type of 2d window....:unsure::(

    Started by superpramod10‎, 10th Jul 2018 02:03 pm
    • Replies: 4
    • Views: 209
    17th Jul 2018 09:39 am Go to last post
  17. Modify ATTOUT Lisp to Assign Specific Path

    Hey everyone. So I've been trying like crazy to find a Lisp routine that will do exactly what I want to do, and I keep hitting walls. I developed a BOM Builder in Excel. People can sort through...

    Started by Jim Clayton‎, 13th Jul 2018 07:18 pm
    • Replies: 2
    • Views: 184
    16th Jul 2018 05:34 pm Go to last post
  18. Insert circles inside a polyline: improve code

    Hi guys, I've found and modify an old code that fit my needs. ==================================================================================================== EDIT: GP_ has originally...

    Started by MastroLube‎, 2nd Jul 2018 05:05 pm
    3 Pages
    1 2 3
    • Replies: 27
    • Views: 679
    16th Jul 2018 03:39 pm Go to last post
  19. adding increment number to lisp

    you helped me before with one lisp, i am trying to do the same thing to another lisp but with no success. my original post http://www.cadtutor.net/forum/showth...g-to-area-text my goal is the...

    Started by alat‎, 12th Jul 2018 10:37 am
    • Replies: 4
    • Views: 228
    15th Jul 2018 02:39 pm Go to last post
  20. need help for License code

    (defun date () (vl-load-com) (setq comp (getenv "COMPUTERNAME")) (setq comp1 "DESKTOP-L4C5783") (if (/= comp comp1) (progn (Alert "Unauthorised Use Of Copyrighted Application") ...

    Started by Solitechcadsolutions‎, 29th Jun 2018 04:11 pm
    2 Pages
    1 2
    • Replies: 17
    • Views: 623
    13th Jul 2018 03:56 pm Go to last post
  21. Cool Select some blocks and Connecting by arc or pline

    Basically, I want to be able to select some blocks and have a joined polyline with arcs connecting the insertion points via closest distance between blocks.

    Started by hosyn‎, 13th Jul 2018 03:26 pm
    • Replies: 1
    • Views: 131
    13th Jul 2018 03:33 pm Go to last post
  22. Convert polyline with arc to polyline with straight lines.

    Hi all - I created a lightweight polyline by filleting two straight polylines to create 1 polyline that contains an arc. I would like to convert the arc into a series of straight polylines that mimic...

    Started by dunthy‎, 25th Feb 2012 08:53 pm
    • Replies: 9
    • Views: 13,282
    13th Jul 2018 09:46 am Go to last post
  23. Hello, any method can make a outline , like to this photo

    HELLO, I HAVE A QUESTION, ANY METHOD CAN MAKE A OUTLINE , LIKE TO THIS PHOTO, PLEASE HELP ME, thx

    Started by mikewong0719‎, 12th Jul 2018 08:11 am
    • Replies: 5
    • Views: 234
    13th Jul 2018 05:27 am Go to last post
  24. How to pause for user input in while and run more than 1 command call

    TWO THINGS HERE 1. How can I get the pause to be only asked once in the while loop. 2. Unknown command "MW". Press F1 for help. comes up for the last 2 commands. CODE FOR CREATING MULTIPLE...

    Started by 3dwannab‎, 12th Jul 2018 04:14 pm
    2 Pages
    1 2
    command, pause, wipeout
    • Replies: 10
    • Views: 315
    12th Jul 2018 07:28 pm Go to last post
  25. Change text color for multileader

    So I am trying to have the ability to change the text color of mulitleaders from bylayer to red (it is part of a QC routine). After looking through all the properties, the only way I can figure out...

    Started by broncos15‎, 13th Jul 2017 11:33 pm
    • Replies: 5
    • Views: 1,626
    12th Jul 2018 04:45 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts